## dune-common 2.3.1

=== bin/CMakeLists.txt ===
install(PROGRAMS
        am2cmake.py
	dunedoxynize
	duneproject
	dunecontrol
	git-whitespace-hook
	mpi-config
	dune-autogen
	DESTINATION ${CMAKE_INSTALL_BINDIR})
