=== cmake/modules/CMakeLists.txt ===
set(modules
  AddGMPFlags.cmake
  AddMETISFlags.cmake
  AddParMETISFlags.cmake
  AddUMFPackFlags.cmake
  CheckCXX11Features.cmake
  CheckSharedPtr.cmake
  DuneBoost.cmake
  DuneCMakePackageConfigHelpers.cmake
  DuneCommonMacros.cmake
  DuneCxaDemangle.cmake
  DuneDoc.cmake
  DuneDoxygen.cmake
  DuneMacros.cmake
  DuneMPI.cmake
  DunePkgConfig.cmake
  DuneStreams.cmake
  DuneTestMacros.cmake
  DuneTests.cmake
  FindBoostFusion.cmake
  FindGMP.cmake
  FindInkscape.cmake
  FindMETIS.cmake
  FindMProtect.cmake
  FindParMETIS.cmake
  FindUMFPack.cmake
  Headercheck.cmake
  LanguageSupport.cmake
  UseInkscape.cmake
  UseLATEX.cmake)
install(FILES ${modules} DESTINATION ${DUNE_INSTALL_MODULEDIR})
