=== dune/common/std/CMakeLists.txt ===
install(FILES
        constexpr.hh
DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/common/std)
