## dune-common 2.2~svn6573

=== debian/changelog ===
dune-common (2.2~svn6573-1) experimental; urgency=low

  * Initial release. (Closes: #661823)

 -- Ansgar Burchardt <ansgar@debian.org>  Sat, 17 Mar 2012 17:15:13 +0100
