=== debian/rules ===
#! /usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

DUNE_DEBIAN_DUNECONTROL := $(CURDIR)/bin/dunecontrol
include debian/dune-debian.mk

%:
	dh $@ --parallel

override_dh_auto_install-arch:
	set -e; for d in am bin dune lib m4; do \
	  $(MAKE) -C $$d install DESTDIR="$(CURDIR)/debian/tmp"; \
	done
	$(MAKE) install-data-am install-exec-am DESTDIR="$(CURDIR)/debian/tmp"
	mkdir doc/doxygen/html
	$(MAKE) -C doc/doxygen install-data-am DESTDIR="$(CURDIR)/debian/tmp"

	mv debian/tmp/usr/bin/mpi-config debian/tmp/usr/bin/dune-mpi-config
	sed -i "s,\$$PREFIX_DIR/lib,/usr/lib/$(DEB_HOST_MULTIARCH)," debian/tmp/usr/bin/dunecontrol
	sed -i "s,/usr/lib/dunecontrol/,& /usr/lib/$(DEB_HOST_MULTIARCH)/dunecontrol/," debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/dunemodules.lib

override_dh_auto_install-indep:
	$(MAKE) -C doc install DESTDIR="$(CURDIR)/debian/tmp"

override_dh_strip:
	dh_strip --dbg-package=libdune-common-dbg
