## dune-common 2.2.0

=== debian/changelog ===
dune-common (2.2.0-1) unstable; urgency=low

  * New upstream release.
  * Install dunemodules.lib to /usr/lib.
  * Update debian/copyright.

 -- Ansgar Burchardt <ansgar@debian.org>  Tue, 05 Jun 2012 10:17:59 +0200

dune-common (2.2~svn6684-1) experimental; urgency=low

  * New upstream snapshot.

 -- Ansgar Burchardt <ansgar@debian.org>  Sun, 06 May 2012 14:31:49 +0200
