=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 Package: libdune-common-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, libdune-common-2.2svn (= ${binary:Version})
+Depends: ${misc:Depends}, ${shlibs:Depends}, libdune-common-2.2.0 (= ${binary:Version})
 Pre-Depends: dpkg (>= 1.15.6)
 Recommends: automake, autoconf, libtool, pkg-config
 Suggests: libdune-common-dbg (= ${binary:Version})
@@ -30,7 +30,7 @@
 Section: debug
 Priority: extra
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, libdune-common-2.2svn (= ${binary:Version})
+Depends: ${misc:Depends}, ${shlibs:Depends}, libdune-common-2.2.0 (= ${binary:Version})
 Pre-Depends: dpkg (>= 1.15.6)
 Description: toolbox for solving PDEs -- basic classes (debug symbols)
  DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
@@ -40,7 +40,7 @@
  .
  This package contains the debug symbols for the basic classes.
 
-Package: libdune-common-2.2svn
+Package: libdune-common-2.2.0
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}, dpkg (>= 1.15.6)
