## dune-common 2.2.1

=== debian/changelog ===
dune-common (2.2.1-2) unstable; urgency=low

  * Upload to unstable.
  * Bumped Standards-Version to 3.9.4 (no changes).

 -- Ansgar Burchardt <ansgar@debian.org>  Sun, 12 May 2013 18:30:12 +0200

dune-common (2.2.1-1) experimental; urgency=low

  * New upstream release. (Closes: #701866)
  * debian/copyright: Update for new upstream release.
  * Mark runtime and debug packages as Multi-Arch: same.
  * lib/dunemodules.lib: Fix PARSER_TRIM.
    + new patch: fix-PARSER_TRIM.diff
  * Update aclocal.patch.

 -- Ansgar Burchardt <ansgar@debian.org>  Sat, 02 Mar 2013 02:17:38 +0100
