=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: dune-common
 Section: libs
 Priority: optional
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Ansgar Burchardt <ansgar@debian.org>, Oliver Sander <sander@mi.fu-berlin.de>
 Vcs-Browser: http://git.debian.org/?p=debian-science/packages/dune-common.git
@@ -14,7 +14,7 @@
 Package: libdune-common-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, libdune-common-2.2.0 (= ${binary:Version})
+Depends: ${misc:Depends}, ${shlibs:Depends}, libdune-common-2.2.1 (= ${binary:Version})
 Pre-Depends: dpkg (>= 1.15.6)
 Recommends: automake, autoconf, libtool, pkg-config
 Suggests: libdune-common-dbg (= ${binary:Version})
@@ -30,7 +30,8 @@
 Section: debug
 Priority: extra
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, libdune-common-2.2.0 (= ${binary:Version})
+Multi-Arch: same
+Depends: ${misc:Depends}, ${shlibs:Depends}, libdune-common-2.2.1 (= ${binary:Version})
 Pre-Depends: dpkg (>= 1.15.6)
 Description: toolbox for solving PDEs -- basic classes (debug symbols)
  DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
@@ -40,8 +41,9 @@
  .
  This package contains the debug symbols for the basic classes.
 
-Package: libdune-common-2.2.0
+Package: libdune-common-2.2.1
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}, dpkg (>= 1.15.6)
 Description: toolbox for solving PDEs -- basic classes (library)
