=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,6 @@
 	$(MAKE) -C doc/doxygen install-data-am DESTDIR="$(CURDIR)/debian/tmp"
 
 	mv debian/tmp/usr/bin/mpi-config debian/tmp/usr/bin/dune-mpi-config
-	sed -i "s,\$$PREFIX_DIR/lib,/usr/lib/$(DEB_HOST_MULTIARCH)," debian/tmp/usr/bin/dunecontrol
 	sed -i "s,/usr/lib/dunecontrol/,& /usr/lib/$(DEB_HOST_MULTIARCH)/dunecontrol/," debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/dunemodules.lib
 
 override_dh_auto_install-indep:
