## dune-common 2.3.1

=== debian/changelog ===
dune-common (2.3.1-1~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.

 -- Alexander Krampe <alexander.krampe@gmail.com>  Thu, 06 Nov 2014 12:26:50 +0100

dune-common (2.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Install bash completion for dunecontrol.

 -- Ansgar Burchardt <ansgar@debian.org>  Tue, 17 Jun 2014 19:46:31 +0200

dune-common (2.3.1~rc1-1) experimental; urgency=medium

  * New upstream release candidate.
  * Change shared library package name to libdune-common-2.3.1.
  * dune-debian.mk: Enable support for UG.

 -- Ansgar Burchardt <ansgar@debian.org>  Tue, 10 Jun 2014 19:54:09 +0200

dune-common (2.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Change shared library package name to libdune-common-2.3.0.

 -- Ansgar Burchardt <ansgar@debian.org>  Fri, 14 Feb 2014 09:12:40 +0100

dune-common (2.3~20140122g7a7cf2b-1) experimental; urgency=medium

  * New upstream snapshot.

 -- Ansgar Burchardt <ansgar@debian.org>  Wed, 22 Jan 2014 23:10:56 +0100

dune-common (2.3~20140117beta2-1) experimental; urgency=medium

  * New upstream snapshot.
  * Remove patches that should be obsoleted by upstream changes.
  * dune-debian.mk: Remove obsolete --enable-fieldvector-size-is-method flag.
  * libdune-common-dev.install: Install /usr/lib/*/cmake.
  * Backport 073167e61070a5e952c738c02d85c3f946717e40 ([dune-autogen]
    Prevents overriding am_dir with installed modules) from master branch.
    + New patch: 0001-dune-autogen-Prevents-overriding-am_dir-with-install.patch

 -- Ansgar Burchardt <ansgar@debian.org>  Mon, 20 Jan 2014 13:42:47 +0100

dune-common (2.3~20140111beta1-1) experimental; urgency=medium

  * New upstream snapshot.
  * Rename git-whitespace-hook to dune-git-whitespace-hook.
  * Install cmake modules. Note that it is still not possible to use
    cmake with the Debian packages.
  * debian/control: Remove ${shlibs:Depends} from -dev and -dbg package.
  * debian/dune-debian.mk: Use default compression for binary packages.

 -- Ansgar Burchardt <ansgar@debian.org>  Wed, 15 Jan 2014 13:33:04 +0100

dune-common (2.3~20140103g107b57a-1) experimental; urgency=medium

  * New upstream snapshot.
  * Install man page using dh_installman as "make install" is not called
    for the doc subdirectory and thus dh_install cannot find usr/share/man.
  * debian/dune-debian.mk: Restore --without-parmetis.

 -- Ansgar Burchardt <ansgar@debian.org>  Fri, 03 Jan 2014 00:40:13 +0100

dune-common (2.3~20131227g6c02812-1) experimental; urgency=medium

  * New upstream snapshot.
  * Add Build-Depends on texlive-latex-extra (for subfigure.sty).
  * Change shared library package name to libdune-common-2.3svn.
  * Patch dunecontrol to skip directories starting with a dot when
    looking for dune.module.
    + new patch: skip-dirs-starting-with-dot.patch
  * Install dune_cxa_demangle.m4.
    + new patch: 0001-Install-dune_cxa_demangle.m4.patch
  * debian/dune-debian.mk: Do not pass --without-parmetis to configure
    as doing so triggers a bug causing the configure script to abort, cf.
    <https://dune-project.org/flyspray/index.php?do=details&task_id=1404>
  * debian/control: Use canonical Vcs-* URIs.
  * debian/control: Drop pre-depends on dpkg (>= 1.15.6) which is
    already satisfied in Debian 6.
  * debian/rules: Install am2cmake.py as dune-am2cmake.
  * libdune-common-dev: Add dependency on python and python-pyparsing
    for am2cmake.py.
  * libdune-common-dev: Include man page for dunecontrol.
  * Bumped Standards-Version to 3.9.5 (no changes).

 -- Ansgar Burchardt <ansgar@debian.org>  Wed, 01 Jan 2014 19:40:32 +0100
