=== debian/control ===
--- 
+++ 
@@ -1,22 +1,22 @@
 Source: dune-common
 Section: libs
 Priority: optional
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Ansgar Burchardt <ansgar@debian.org>, Oliver Sander <sander@mi.fu-berlin.de>
-Vcs-Browser: http://git.debian.org/?p=debian-science/packages/dune-common.git
-Vcs-Git: git://git.debian.org/debian-science/packages/dune-common.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/dune-common.git
+Vcs-Git: git://anonscm.debian.org/debian-science/packages/dune-common.git
 Homepage: http://www.dune-project.org/
 Build-Depends: debhelper (>= 9),
  automake, autoconf, gfortran, libtool, mpi-default-bin, mpi-default-dev, pkg-config
-Build-Depends-Indep: doxygen, ghostscript, texlive-latex-recommended, pgf
+Build-Depends-Indep: doxygen, ghostscript, texlive-latex-extra, texlive-latex-recommended, pgf
 
 Package: libdune-common-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, libdune-common-2.2.1 (= ${binary:Version})
-Pre-Depends: dpkg (>= 1.15.6)
-Recommends: automake, autoconf, libtool, pkg-config
+Depends: ${misc:Depends}, libdune-common-2.3.1 (= ${binary:Version}),
+ pkg-config, python, python-pyparsing
+Recommends: automake, autoconf, libtool
 Suggests: libdune-common-dbg (= ${binary:Version})
 Description: toolbox for solving PDEs -- basic classes (development files)
  DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
@@ -31,8 +31,7 @@
 Priority: extra
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}, libdune-common-2.2.1 (= ${binary:Version})
-Pre-Depends: dpkg (>= 1.15.6)
+Depends: ${misc:Depends}, libdune-common-2.3.1 (= ${binary:Version})
 Description: toolbox for solving PDEs -- basic classes (debug symbols)
  DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
  for solving partial differential equations (PDEs) with grid-based methods.
@@ -41,11 +40,11 @@
  .
  This package contains the debug symbols for the basic classes.
 
-Package: libdune-common-2.2.1
+Package: libdune-common-2.3.1
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Pre-Depends: ${misc:Pre-Depends}, dpkg (>= 1.15.6)
+Pre-Depends: ${misc:Pre-Depends}
 Description: toolbox for solving PDEs -- basic classes (library)
  DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
  for solving partial differential equations (PDEs) with grid-based methods.
@@ -57,8 +56,8 @@
 Package: libdune-common-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
-Pre-Depends: dpkg (>= 1.15.6)
 Description: toolbox for solving PDEs -- basic classes (documentation)
  DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
  for solving partial differential equations (PDEs) with grid-based methods.
