=== debian/changelog ===
dune-common (2.4.0-1) unstable; urgency=medium

  * New upstream release.

 -- Ansgar Burchardt <ansgar@debian.org>  Fri, 25 Sep 2015 22:29:28 +0200

dune-common (2.4~20150912rc3-1) unstable; urgency=medium

  * New upstream release candidate.
  * dune-debian.mk: Add options to enable UMFPack support.

 -- Ansgar Burchardt <ansgar@debian.org>  Sun, 13 Sep 2015 13:38:49 +0200

dune-common (2.4~20150825rc2-1) experimental; urgency=medium

  * New upstream release candidate.
  * Move shared library into -dev package and provide a virtual package
    that changes with the upstream version for shlib dependencies. See
    also https://lists.debian.org/debian-devel/2015/07/msg00115.html
  * libdune-common-dev: Add -doc package as a suggested package.

 -- Ansgar Burchardt <ansgar@debian.org>  Fri, 04 Sep 2015 14:24:36 +0200

dune-common (2.4~20150717rc1-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Ansgar Burchardt <ansgar@debian.org>  Fri, 17 Jul 2015 20:45:00 +0200

dune-common (2.4~20150617g6f17141-1) experimental; urgency=medium

  * New upstream snapshot.
  * get-orig-source: Use commit date instead of current date.

 -- Ansgar Burchardt <ansgar@debian.org>  Fri, 19 Jun 2015 23:11:40 +0200

dune-common (2.4~20150521g15491c4-1) experimental; urgency=medium

  * New upstream snapshot.

 -- Ansgar Burchardt <ansgar@debian.org>  Thu, 21 May 2015 21:46:50 +0200

dune-common (2.4~20150505g1ce8697-1) experimental; urgency=medium

  * New upstream snapshot.
  * Change shared library package name to libdune-common-2.4git.
  * Update debian/copyright for new upstream snapshot.
  * Add Build-Depends-Indep: graphviz for "dot".
  * dune-debian.mk: Continue to use autotools for now.
  * Bumped Standards-Version to 3.9.6 (no changes).

 -- Ansgar Burchardt <ansgar@debian.org>  Tue, 05 May 2015 21:53:57 +0200
